# getSpriteKeysFromPokemon | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getSpriteKeysFromPokemon

- getSpriteKeysFromPokemon(
  pokemon: default ,
  ): { fileRoot: string; spriteKey: string }

  Gets the sprite key and file root for a given Pokemon (accounts for gender, shiny, variants, forms, and experimental)

  #### Parameters

  - pokemon: default

  #### Returns { fileRoot: string; spriteKey: string }

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:78